// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$transferId = '155585643';
$response = $api->Transfers->Get($transferId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myTransfer = {
Id: '174877749',
}
const viewTransfer = async (transferId) => {
return await mangopay.Transfers.get(transferId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewTransfer(myTransfer.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewTransfer(transferId)
begin
response = MangoPay::Transfer.fetch(transferId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch transfer: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myTransfer = {
Id: '194342401'
}
viewTransfer(myTransfer[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Transfer;
public class ViewTransfer {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-client-password");
Transfer transfer = mangopay.getTransferApi().get("xfer_m_01HTF8FNN1E4N332ZBVEVHRMD2");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(transfer);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Transfer
try:
view_transfer = Transfer.get('214568995')
pprint(vars(view_transfer))
except Transfer.DoesNotExist:
print('Transfer {} does not exist'.format(view_transfer.id))
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var transferId = "xfer_m_01J3ZG49W215VVZRJS394DKM00";
var viewTransfer = await api.Transfers.GetAsync(transferId);
string prettyPrint = JsonConvert.SerializeObject(viewTransfer, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"ScaContext": "USER_PRESENT",
"Id": "xfer_c_01JRSHQFG2337DBQ4NS8XPYCK7",
"CreationDate": 1744614179,
"DebitedWalletId": "wlt_m_01JRJM7ASZN7YP4MBDVBT0HZF1",
"CreditedWalletId": "wlt_m_01JRHSTW2NP4MDB45WQMDNS23C",
"AuthorId": "user_m_01JRJM5RR5NYQDN0S6QWJJDRMR",
"CreditedUserId": "user_m_01JRHSS3B18H86QA0C467RVK07",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 3001
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 3001
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Type": "TRANSFER",
"Nature": "REGULAR",
"Status": "CREATED",
"Tag": "Created using Mangopay API Postman Collection",
"ResultCode": null,
"ResultMessage": null,
"ExecutionDate": null,
"PendingUserAction": {
"RedirectUrl": "https://sca.sandbox.mangopay.com/?token=sca_0196331bc1247e3fa33be6f9c797abd7"
}
}
{
"ScaContext": "USER_PRESENT",
"Id": "xfer_c_01JRSHXFS5YX0HVCXZFQ4J2XMH",
"CreationDate": 1744614375,
"DebitedWalletId": "wlt_m_01JRHSTW2NP4MDB45WQMDNS23C",
"CreditedWalletId": "wlt_m_01JRJM7ASZN7YP4MBDVBT0HZF1",
"AuthorId": "user_m_01JRHSS3B18H86QA0C467RVK07",
"CreditedUserId": "user_m_01JRJM5RR5NYQDN0S6QWJJDRMR",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Type": "TRANSFER",
"Nature": "REGULAR",
"Status": "SUCCEEDED",
"Tag": "Created using Mangopay API Postman Collection",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1744614375,
"PendingUserAction": null
}
Transfers
View a Transfer
GET
/
v2.01
/
{ClientId}
/
transfers
/
{TransferId}
// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$transferId = '155585643';
$response = $api->Transfers->Get($transferId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myTransfer = {
Id: '174877749',
}
const viewTransfer = async (transferId) => {
return await mangopay.Transfers.get(transferId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewTransfer(myTransfer.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewTransfer(transferId)
begin
response = MangoPay::Transfer.fetch(transferId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch transfer: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myTransfer = {
Id: '194342401'
}
viewTransfer(myTransfer[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Transfer;
public class ViewTransfer {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-client-password");
Transfer transfer = mangopay.getTransferApi().get("xfer_m_01HTF8FNN1E4N332ZBVEVHRMD2");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(transfer);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Transfer
try:
view_transfer = Transfer.get('214568995')
pprint(vars(view_transfer))
except Transfer.DoesNotExist:
print('Transfer {} does not exist'.format(view_transfer.id))
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var transferId = "xfer_m_01J3ZG49W215VVZRJS394DKM00";
var viewTransfer = await api.Transfers.GetAsync(transferId);
string prettyPrint = JsonConvert.SerializeObject(viewTransfer, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"ScaContext": "USER_PRESENT",
"Id": "xfer_c_01JRSHQFG2337DBQ4NS8XPYCK7",
"CreationDate": 1744614179,
"DebitedWalletId": "wlt_m_01JRJM7ASZN7YP4MBDVBT0HZF1",
"CreditedWalletId": "wlt_m_01JRHSTW2NP4MDB45WQMDNS23C",
"AuthorId": "user_m_01JRJM5RR5NYQDN0S6QWJJDRMR",
"CreditedUserId": "user_m_01JRHSS3B18H86QA0C467RVK07",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 3001
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 3001
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Type": "TRANSFER",
"Nature": "REGULAR",
"Status": "CREATED",
"Tag": "Created using Mangopay API Postman Collection",
"ResultCode": null,
"ResultMessage": null,
"ExecutionDate": null,
"PendingUserAction": {
"RedirectUrl": "https://sca.sandbox.mangopay.com/?token=sca_0196331bc1247e3fa33be6f9c797abd7"
}
}
{
"ScaContext": "USER_PRESENT",
"Id": "xfer_c_01JRSHXFS5YX0HVCXZFQ4J2XMH",
"CreationDate": 1744614375,
"DebitedWalletId": "wlt_m_01JRHSTW2NP4MDB45WQMDNS23C",
"CreditedWalletId": "wlt_m_01JRJM7ASZN7YP4MBDVBT0HZF1",
"AuthorId": "user_m_01JRHSS3B18H86QA0C467RVK07",
"CreditedUserId": "user_m_01JRJM5RR5NYQDN0S6QWJJDRMR",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Type": "TRANSFER",
"Nature": "REGULAR",
"Status": "SUCCEEDED",
"Tag": "Created using Mangopay API Postman Collection",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1744614375,
"PendingUserAction": null
}
Note – Transfer data retained for 13 monthsAn API call to retrieve a transfer whose
CreationDate is older than 13 months may return 404 Not Found.For more information, see the Data availability periods article.Path parameters
string
required
The unique identifier of the transfer.
Responses
200
200
string
Possible values:
USER_PRESENT, USER_NOT_PRESENTThe SCA context of the request, which is required if the debited wallet owner’s UserCategory is OWNER:USER_PRESENT– The user is taking the SCA-triggering action of initiating a transfer. The platform must redirect the user using thePendingUserAction.RedirectUrlreturned so that the user can complete the SCA session (unless Mangopay applied an exemption for low-amount and low-risk transfers, so no redirection link was returned).USER_NOT_PRESENT– The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, thenUSER_NOT_PRESENTreturns a 403 error.
UserCategory is OWNER, and the default value will become USER_PRESENT from Dec 15, 2025 (Dec 1 in Sandbox)string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
object
Information about the debited funds.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the debited wallet.
string
The unique identifier of the credited wallet.
{
"ScaContext": "USER_PRESENT",
"Id": "xfer_c_01JRSHQFG2337DBQ4NS8XPYCK7",
"CreationDate": 1744614179,
"DebitedWalletId": "wlt_m_01JRJM7ASZN7YP4MBDVBT0HZF1",
"CreditedWalletId": "wlt_m_01JRHSTW2NP4MDB45WQMDNS23C",
"AuthorId": "user_m_01JRJM5RR5NYQDN0S6QWJJDRMR",
"CreditedUserId": "user_m_01JRHSS3B18H86QA0C467RVK07",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 3001
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 3001
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Type": "TRANSFER",
"Nature": "REGULAR",
"Status": "CREATED",
"Tag": "Created using Mangopay API Postman Collection",
"ResultCode": null,
"ResultMessage": null,
"ExecutionDate": null,
"PendingUserAction": {
"RedirectUrl": "https://sca.sandbox.mangopay.com/?token=sca_0196331bc1247e3fa33be6f9c797abd7"
}
}
{
"ScaContext": "USER_PRESENT",
"Id": "xfer_c_01JRSHXFS5YX0HVCXZFQ4J2XMH",
"CreationDate": 1744614375,
"DebitedWalletId": "wlt_m_01JRHSTW2NP4MDB45WQMDNS23C",
"CreditedWalletId": "wlt_m_01JRJM7ASZN7YP4MBDVBT0HZF1",
"AuthorId": "user_m_01JRHSS3B18H86QA0C467RVK07",
"CreditedUserId": "user_m_01JRJM5RR5NYQDN0S6QWJJDRMR",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Type": "TRANSFER",
"Nature": "REGULAR",
"Status": "SUCCEEDED",
"Tag": "Created using Mangopay API Postman Collection",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1744614375,
"PendingUserAction": null
}
// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$transferId = '155585643';
$response = $api->Transfers->Get($transferId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myTransfer = {
Id: '174877749',
}
const viewTransfer = async (transferId) => {
return await mangopay.Transfers.get(transferId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewTransfer(myTransfer.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewTransfer(transferId)
begin
response = MangoPay::Transfer.fetch(transferId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch transfer: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myTransfer = {
Id: '194342401'
}
viewTransfer(myTransfer[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Transfer;
public class ViewTransfer {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-client-password");
Transfer transfer = mangopay.getTransferApi().get("xfer_m_01HTF8FNN1E4N332ZBVEVHRMD2");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(transfer);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Transfer
try:
view_transfer = Transfer.get('214568995')
pprint(vars(view_transfer))
except Transfer.DoesNotExist:
print('Transfer {} does not exist'.format(view_transfer.id))
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var transferId = "xfer_m_01J3ZG49W215VVZRJS394DKM00";
var viewTransfer = await api.Transfers.GetAsync(transferId);
string prettyPrint = JsonConvert.SerializeObject(viewTransfer, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?